
package de.ivu.elect.business.stimmeingabe.control;

import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.business.wahl.entity.WahlParameterLoader;

import javax.inject.Inject;
import java.io.Serializable;

import static de.ivu.elect.business.wahl.entity.WahlParameterWerte.STIMMEINGABE_PLAUSIBILISIERUNG_AKTIVIERT;

public class StimmeingabeCreateKonfiguration implements Serializable {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WahlParameterLoader wahlParameterLoader;

  public StimmeingabeCreateKonfiguration() {
    super();
  }

  public boolean isPlausibilisierungAktiv(Wahl wahl) {
    return wahlParameterLoader.resolveBooleanValue(wahl, STIMMEINGABE_PLAUSIBILISIERUNG_AKTIVIERT);
  }
}
